﻿using System.ServiceModel;
using System.ServiceModel.Web;
using System.Xml;
using SRT_Example.Common.DTO;

namespace SRT_Example.Common
{
    [ServiceContract]
    [XmlSerializerFormat]
    public interface IReceivingService
    {
        [WebInvoke(Method = "POST", RequestFormat = WebMessageFormat.Xml, BodyStyle = WebMessageBodyStyle.WrappedRequest)]
        [OperationContract]
        [XmlSerializerFormat]
        XmlDocument Order(XmlElement message);
        [WebInvoke(Method = "POST", RequestFormat = WebMessageFormat.Xml, BodyStyle = WebMessageBodyStyle.WrappedRequest)]
        [OperationContract]
        [XmlSerializerFormat]
        XmlDocument Invoice(XmlElement message);
    }
}